using System;

namespace Kvalifikacija
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            if(a==1 || b==1)
            {
                Console.WriteLine(a * b);
            }
            else
            {
                Console.WriteLine((2 * a) + (2 * b - 4) + (a-2)*(b-2)/2);
            }
            Console.ReadLine();
        }
    }
}